Welcome2L(1)

NAME
Welcome2L - Linux ANSI boot logo

SYNOPSIS
Welcome2L [ -scr xx ] [ -getty ] [ -gettps ] [ -msg message ] [ -cpu name ] [ -scrrand ] [ -xmas ] [ -xmasauto ] [ -lcol xx ] [ -nolf ] [ -private ] [-notime ]

DESCRIPTION
Welcome2L is a little program that may run at login time to produce a BBS like ANSI login logo. It's very similar to Linux_Logo. But where Linux_Logo intends to be portable, Welcome2L intends to produce the best looking ANSI screens by making full usage of PC graphic characters. Therefore an architecture able to display those characters (i386, Alpha with TGA adapter, ... ) is required to use it. And, even if it will work on larger screens, it will only produce 80 column ANSI screens.

OPTIONS

-getty
    will display more accurate information when launched at boot time.

-gettps
    Like -getty but works with gettyps(8) program.

-nolf
    will not add an empty line to the ansi screen produced.

-msg message
    will show the message given as the distribution info.

-cpu name
    will show the name given as the CPU name.

-scr xx
    will display screen number xx.

-scrrand
    will display a random screen.

-xmas
    will display an Xmas screen.

-xmasauto
    will automatically display an Xmas screen in December and January.

-lcol xx
    will change the prompt color to the color number xx. Use the help command to see what number is attributed to a color.

-private
    Display an "Unauthorized access is prohibited" line at the bottom of the ANSI screen.

-notime
    When displaying date information, do not display time.

-noblink
    Turn blinking off. Useful with -xmas or -xmasauto on framebuffer devices, which do not support blinking.

-help
    will display usage information.

EXAMPLE
/usr/bin/Welcome2L -getty -msg "Gentoo Linux" -lcol 14 -scr 02

RESTRICTIONS
Welcome2L is not intended to run in a xterm.

CAVEAT
Because "A 'welcome' page has been proven to be an invitation to come your system, thus making it legal to hack into your box.", you may want to use the "-private" arg when running Welcome2L to display an "Unauthorized access is prohibited" line at the bottom of the ANSI screen.

LICENSE
Welcome2L is released under the terms of the GNU GPL.

AUTHORS
Jean-Marc Jacquet <jm@littleigloo.org>